Subject: bug#75828: closed (Re: bug#75828: [PATCH] Correct make-frame docstring vis-a-vis make_frame.c)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Feb 2025 10:43:02 +0000

Your bug report

#75828: [PATCH] Correct make-frame docstring vis-a-vis make_frame.c

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75828: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75828
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75828: [PATCH] Correct make-frame docstring vis-a-vis make_frame.c
From: Stefan Kangas <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
Date: Thu, 13 Feb 2025 02:42:37 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

martin rudalics <[email-masked]> writes:

>   I see that dc6b3560e56 was installed.  Does that conclude this bug or is
>> there more to do here?
>
> It concludes the bug AFAIAC.

OK, thanks.  Closing.

Subject: [PATCH] Correct make-frame docstring vis-a-vis make_frame.c
From: Ship Mints <[email-masked]>
To: [email-masked]
Date: Sat, 25 Jan 2025 09:12:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

make-frame's docstring says "creates and returns a new frame, displaying
the current buffer." This is not true if the buffer is considered
conventionally hidden.

struct frame *
make_frame (bool mini_p)
...
    Lisp_Object buf = Fcurrent_buffer ();
    /* If current buffer is hidden, try to find another one.  */
    if (BUFFER_HIDDEN_P (XBUFFER (buf)))
      buf = other_buffer_safely (buf);

I'd prefer to have an option to be literal and allow users to make a frame
on a hidden current buffer. I might submit this idea under a different bug
for discussion.

-Stephane